## wcwidth 0.1.4

=== debian/changelog ===
wcwidth (0.1.4-2) unstable; urgency=medium

  * debian/watch: Use PyPI redirector.
  * debian/patches/remove-generated-date.patch: Remove generated date to make
    build reproducible.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jun 2015 00:24:06 +0200

wcwidth (0.1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #770704)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Nov 2014 14:56:27 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/wcwidth/wcwidth-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wcwidth 0.1.5+dfsg1

=== debian/changelog ===
wcwidth (0.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Sep 2015 12:15:39 +0200

wcwidth (0.1.4+dfsg1-1) unstable; urgency=medium

  * Repack to remove cruft without source from upstream tarball. (Closes:
    #798569)
    - debian/copyright: Add Files-Excluded.
    - debian/watch: Add repacksuffix and dversionmangle.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Sep 2015 17:58:41 +0200

## wcwidth 0.2.5+dfsg1

=== docs/requirements.txt ===
Sphinx
sphinx-paramlinks
sphinx_rtd_theme
sphinxcontrib-manpage

## wcwidth 0.1.6+dfsg1

=== debian/changelog ===
wcwidth (0.1.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update Files-Excluded.
    - Update copyright years.
  * debian/clean: Remove table_zero.py instead of table_comb.py.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Jan 2016 13:10:01 +0100

=== debian/control ===
Source: wcwidth
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-pytest,
 python3-pytest,
 unicode-data
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/wcwidth
Vcs-Git: git://anonscm.debian.org/collab-maint/wcwidth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wcwidth.git

Package: python-wcwidth
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends}
Description: determine printable width of a string on a terminal (Python 2)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for Python 2.

Package: python3-wcwidth
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Description: determine printable width of a string on a terminal (Python 3)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for Python 3.

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg1" \
http://pypi.debian.net/wcwidth/wcwidth-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wcwidth 0.1.7+dfsg1

=== debian/changelog ===
wcwidth (0.1.7+dfsg1-6~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Aug 2019 14:40:04 +0000

wcwidth (0.1.7+dfsg1-6) unstable; urgency=medium

  * Remove Sebastian Ramacher from uploaders as he requested.

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 22:52:26 +0200

wcwidth (0.1.7+dfsg1-5) unstable; urgency=medium

  * Source-only reupload to allow migration after uploading to NEW.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 13:06:39 +0200

wcwidth (0.1.7+dfsg1-4) unstable; urgency=medium

  * Change Maintainer to Debian Python Modules Team in agreement with
    Sebastian Ramacher
  * d/rules: Set PYBUILD_NAME
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Add pypy-wcwidth
  * d/copyright: Add myself for debian/ part
  * Do wrap-and-sort -bast
  * d/clean: Remove, not needed anymore
  * Add upstream metadata
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jul 2019 14:58:54 +0200

wcwidth (0.1.7+dfsg1-3) unstable; urgency=medium

  * Rebuild against unicode-data 12.1.0~pre1-2. (Closes: #928019)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 May 2019 11:11:32 +0200

wcwidth (0.1.7+dfsg1-2) unstable; urgency=medium

  * debian/control:
    - Move to salsa.d.o.
    - Bump Standards-Version.
  * debian/:
    - Bump debehlper compat to 11.
    - Use HTTPS.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 May 2018 09:28:24 +0200

wcwidth (0.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/-bugfix-Use-utf-8-encoding-for-upstream-.txt-files.patch:
    Removed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Aug 2016 13:59:53 +0200

wcwidth (0.1.6+dfsg1-2) unstable; urgency=medium

  * debian/patches/-bugfix-Use-utf-8-encoding-for-upstream-.txt-files.patch:
    Apply upstream patch to fix issue with UTF-8 encoding in Unicode data
    (Closes: #829235)
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jul 2016 09:42:05 +0200

=== debian/control ===
Source: wcwidth
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 pypy,
 pypy-pytest,
 pypy-setuptools,
 python-all,
 python-pytest,
 python-setuptools,
 python3-all,
 python3-pytest,
 python3-setuptools,
 unicode-data,
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/wcwidth
Vcs-Git: https://salsa.debian.org/python-team/modules/wcwidth.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/wcwidth
Testsuite: autopkgtest-pkg-python

Package: pypy-wcwidth
Architecture: all
Depends:
 ${misc:Depends},
 ${pypy:Depends},
Description: determine printable width of a string on a terminal (PyPy)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for PyPy.

Package: python-wcwidth
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: determine printable width of a string on a terminal (Python 2)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for Python 2.

Package: python3-wcwidth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: determine printable width of a string on a terminal (Python 3)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wcwidth

%:
	dh $@ --with pypy,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	python setup.py update
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --test-pytest

## wcwidth 0.1.8+dfsg1

=== debian/changelog ===
wcwidth (0.1.8+dfsg1-3) unstable; urgency=medium

  * Build unicode reference files using Python 3.

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jan 2020 08:32:33 +0100

wcwidth (0.1.8+dfsg1-2) unstable; urgency=medium

  * Build using python2.

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jan 2020 08:14:42 +0100

wcwidth (0.1.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Wed, 08 Jan 2020 17:05:25 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pytest,
  python3-setuptools,
  unicode-data,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/wcwidth
 Vcs-Git: https://salsa.debian.org/python-team/modules/wcwidth.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/wcwidth

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with pypy,python2,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	python setup.py update
+	python3 setup.py update
 	dh_auto_build
 
 override_dh_auto_test:

## wcwidth 0.1.9+dfsg1

=== debian/changelog ===
wcwidth (0.1.9+dfsg1-2) unstable; urgency=medium

  * Drop PyPy support.
  * Bump debhelper compat level to 13.

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jun 2020 12:29:55 +0200

wcwidth (0.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Mon, 27 Apr 2020 07:47:45 +0200

wcwidth (0.1.8+dfsg1-5) unstable; urgency=medium

  * Drop python2 support; Closes: #938809

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 09:58:17 -0400

wcwidth (0.1.8+dfsg1-4) unstable; urgency=medium

  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:29:09 -0400

=== debian/control ===
Source: wcwidth
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 unicode-data,
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/wcwidth
Vcs-Git: https://salsa.debian.org/python-team/modules/wcwidth.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/wcwidth
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-wcwidth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: determine printable width of a string on a terminal (Python 3)
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.
 .
 This package provides the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wcwidth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py update
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --test-pytest

## wcwidth 0.2.5%2Bdfsg1

=== debian/changelog ===
wcwidth (0.2.5+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Rewrite unicode-data patches.
  * Add python3-pytest-cov as build-depends.
  * Add remove-looponfailroots-option-from-tox.ini.patch.
  * Override dh_auto_{test,install}.
  * Use github repo as homepage and source URL.
  * Remove python3 from description.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 10:23:10 +0100

## wcwidth 0.2.5+dfsg1

=== debian/changelog ===
wcwidth (0.2.5+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * Apply patch from Vagrant Cascadian to make the package build reproducible
    by removing a comment from bin/update-tables.py which embedded the build
    path and timestamp. Closes: #1005408

 -- Holger Levsen <holger@debian.org>  Tue, 10 Jan 2023 23:40:10 +0100

=== debian/control ===
Source: wcwidth
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 unicode-data,
Standards-Version: 4.5.1
Homepage: https://github.com/jquast/wcwidth
Vcs-Git: https://salsa.debian.org/python-team/packages/wcwidth.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/wcwidth
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-wcwidth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: determine printable width of a string on a terminal
 wcwidth allows one to determine the printable width of a string on a terminal.
 It provides functions similar to wcwidth(3) and wcswidth(3) for Python
 programs.

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,16 @@
 	python3 setup.py update
 	dh_auto_build
 
+override_dh_auto_install:
+	set -ex ; for i in `py3versions -vr 2>/dev/null` ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	set -ex ; for i in `py3versions -vr 2>/dev/null` ; do \
+		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$i -m pytest tests ; \
+	done
+endif
+
 override_dh_auto_test:
-	dh_auto_test -- --test-pytest
+	echo "Do nothing ..."

## wcwidth 0.2.13%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,12 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-dateutil,
+ python3-jinja2,
  python3-pytest,
  python3-pytest-cov,
+ python3-requests,
+ python3-requests-file,
  python3-setuptools,
  unicode-data,
 Standards-Version: 4.5.1

## wcwidth 0.2.13+dfsg1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --allow-unsafe --no-emit-index-url --output-file=docs/requirements.txt --strip-extras requirements-docs.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
certifi==2023.7.22
    # via requests
charset-normalizer==3.3.0
    # via requests
docutils==0.17.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.3
    # via jinja2
packaging==23.2
    # via sphinx
pygments==2.16.1
    # via sphinx
requests==2.31.0
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.5.0
    # via
    #   -r requirements-docs.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==1.3.0
    # via -r requirements-docs.in
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==2.0.7
    # via requests

=== debian/changelog ===
wcwidth (0.2.13+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU (closes: #1029629).
  * debian/copyright: Generalize Files-Excluded slightly.
  * New upstream release.
    - Switch to using importlib.metadata (closes: #1042241).
  * Rewrite patches to update-tables.  This required including a file from
    an old version of the unicode-data package, so update debian/copyright
    to match.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Mar 2024 15:26:35 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	python3 setup.py update
+	python3 bin/update-tables.py --no-check-last-modified
 	dh_auto_build
 
 override_dh_auto_install:

## wcwidth 0.2.14%2Bdfsg1

=== debian/changelog ===
wcwidth (0.2.14+dfsg1-1build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:59:14 -0500

wcwidth (0.2.14+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Colin Watson ]
  * New upstream release.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Simplify a debhelper override slightly.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Nov 2025 13:58:29 +0000

## wcwidth 0.2.14+dfsg1

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-jinja2,
@@ -16,12 +15,11 @@
  python3-requests-file,
  python3-setuptools,
  unicode-data,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/jquast/wcwidth
 Vcs-Git: https://salsa.debian.org/python-team/packages/wcwidth.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wcwidth
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-wcwidth
 Architecture: all
